import './index.css';
import nameGenerator from './name-generator';
import isDef from './is-def';
  
  

// Store/retrieve the name in/from a cookie.
const cookies = document.cookie.split(';');
console.log(cookies)
let wsname = cookies.find(function(c) {
  if (c.match(/wsname/) !== null) return true;
  return false;
});
if (isDef(wsname)) {
  wsname = wsname.split('=')[1];
} else {
  wsname = nameGenerator();
  document.cookie = "wsname=" + encodeURIComponent(wsname);
}

// Set the name in the header
document.querySelector('header>p').textContent = decodeURIComponent(wsname);

// Create a WebSocket connection to the server
 const ws = new WebSocket("ws://" + window.location.host+ "/socket");

// We get notified once connected to the server
ws.onopen = (event) => {
  console.log("We are connected.");
};

const msg = document.querySelector('#messages');
const selectedBoard = document.querySelector('#selectedBoard');
const lineWidth = document.querySelector('#linewidth');
const colorSelect = document.querySelector('#color-select');
let canvas = document.querySelector("canvas");
let ctx = canvas.getContext("2d");
let list = document.querySelector('#listboard');
let selectLi = [].slice.call(list.children).find(li => li.getAttribute('value') === canvas.id);
selectLi.style.background = '#70cdf5 ';

list.addEventListener('click', event => {
  if (canvas.id !== event.target.getAttribute('value')) {
      selectedBoard.textContent = 'Board ' + event.target.getAttribute('value');
      selectLi.style.background = null;
      selectLi = [].slice.call(list.children).find(li =>
          li.getAttribute('value') === event.target.getAttribute('value'));
      selectLi.style.background = '#70cdf5';
      let donnee = {
          message: 'board-change',
          canvas: parseInt(event.target.getAttribute('value'))
      }
      ws.send(JSON.stringify(donnee));
  }

});

let buttonAdd = document.querySelector('.btn-add');
buttonAdd.addEventListener('click', evt => {
    let l = list.children[list.children.length - 1];
    let donnee = {
        message: 'new-Board',
        value: parseInt(l.getAttribute('value')) + 1
    }
    ws.send(JSON.stringify(donnee));
});

let buttonClear = document.querySelector('.btn-clear');
buttonClear.addEventListener('click', event => {

    let donnee = {
        message: 'clear-Board',
        canvas: parseInt(canvas.id)
    }
    ws.send(JSON.stringify(donnee));
});




